Skip to main content

Retrieve an alert in NetApp Console local deployment

GET /alerts/{alert_id}

Retrieve information about the specified alert.

Parameters

Name Type In Required Description

alert_id

string

path

True

Uniquely identifies the alert.

Identifier generated by the client service to uniquely identify the alert. The Alert service doesn't assign any identifier to alert object.

  • example: 666a3f38-d4fa-5b62-a391-a69029758d32

originId

string

query

True

Globally unique identifier of the alert source that is reporting this alert.

  • example: 333a3f38-a4fa-4e32-a371-a37027748a32

organizationId

string

query

True

Unique identifier of the organization to which the user belongs.

  • example: 3b44d359-d125-4665-b605-49d72c2dd7be

Response

Status: 200, Returns the stored Alert API resource in the JSON response body.
Name Type Required Description

alertDetails

string

False

Details about the condition or situation that triggered this alert.

alertId

string

True

Globally unique identifier of the resource, generated and assigned by the client service.

alertObjectId

string

True

Unique identifier of the resource for which this alert is raised.

alertObjectName

string

False

The name of the object on which the alert is raised.

alertObjectType

string

True

Type of the object on which the alert is raised. Defined values are:

  • CLUSTER

  • NODE

  • AGGREGATE

  • SVM

  • VOLUME

  • LUN

  • DISK

  • QTREE

  • NVME_NAMESPACE

  • SNAPMIRROR

  • CIFS_SHARE

  • NFS_SHARE

  • CONNECTOR

  • CONNECTOR_CONTAINER

  • MSSQL_HOST

  • ORACLE_HOST

associatedObjects

array[associatedObjects]

True

JSON array of one or multiple contextual parent objects that might require remediation. For example, an alert on a volume for an issue with junction path should populate this field with the SVM details because remediation has to be performed on the SVM. Conversely, an alert on volume for low capacity should populate this field with the node details because remediation has to be performed on the node.

closedOn

string

True

The time that the alert was closed.

description

string

True

JSON string explaining the alert condition in detail.

driftAlert

boolean

False

Indicates whether this alert was raised due to a configuration drift condition.

duration

string

True

Duration that this alert is active, in milliseconds.

hasRemediation

boolean

False

Indicates whether this alert has an associated remediation workflow.

impactArea

string

True

Broad classification category to which this alert belongs. Examples of categories are:

  • AVAILABILITY

  • CAPACITY

  • CONFIGURATION

  • PERFORMANCE

  • PROTECTION

  • SECURITY

lastTrueOccurrence

string

True

The time that the condition described by this alert was last found to be true. This value is a timestamp in ISO 8601 format in UTC.

links

array[type_bxp_link]

False

Array of link relationships associated with the resource or ID.

metadata

type_bxp_metadata

True

Metadata associated with the resource.

name

string

True

Short name of the alert

origin

string

True

Specifies the entity that raised this alert. Defined values are:

  • HARVEST

  • AIQ

  • CONNECTOR

  • ONTAP_MANAGEMENT

  • BACKUP_AND_RECOVERY

  • enum: ["HARVEST", "AIQ", "CONNECTOR", "ONTAP_MANAGEMENT", "BACKUP_AND_RECOVERY"]

  • example: HARVEST

originId

string

True

Globally unique identifier of alert source that is reporting this alert. This originId along with the alertId is used to uniquely identify the alert resource.

owner

string

True

Action owner in the tenant organization

raisedOn

string

True

The time that the alert was raised.

remediation

remediation

True

JSON object containing text that describes corrective actions about how to fix the issue and an optional URL to navigate to the remedial workflow.

resourceId

string

False

Identifier of the working environment/resource associated with this alert.

severity

string

True

Severity of the condition associated with this alert. Defined values are:

  • CRITICAL

  • WARNING

  • INFORMATIONAL

status

string

True

Status of the alert that shows whether the condition still exists. Defined values are:

  • ACTIVE

  • CLOSED

statusHistory

array[statusHistory]

True

JSON array of JSON objects representing the chronological order of how this alert has progressed in its life cycle.

storageClassId

string

False

Identifier of the storage class associated with this alert.

storageClassName

string

False

Name of the storage class associated with this alert.

tag

tag

False

Key-value pairs providing additional context about the alert, such as metric name, threshold value, and unit.

Example response
{
  "alertDetails": "AutoSupport HTTPS Transport Disabled",
  "alertId": "666a3f38-d4fa-5b62-a391-a69029758d32",
  "alertObjectId": "666a3f38-d4fa-5b62-a391-a69029758e56",
  "alertObjectName": "NB-001",
  "alertObjectType": "CLUSTER",
  "associatedObjects": [
    {
      "objectId": "666a3f38-d4fa-5b62-a391-a69029758e56",
      "objectName": "NB-001",
      "objectType": "CLUSTER"
    }
  ],
  "closedOn": "2022-10-09T20:58:16.305662Z",
  "description": "AutoSupport supports HTTPS, HTTP, and SMTP for transport protocols. Because of the sensitive nature of AutoSupport messages, NetApp strongly recommends using HTTPS as the default transport protocol for sending AutoSupport messages to NetApp support.",
  "duration": "86500",
  "impactArea": "SECURITY",
  "lastTrueOccurrence": "2022-10-07T19:58:16.305662Z",
  "metadata": {
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269",
    "creationTimestamp": "2022-10-05T20:58:16.305662Z",
    "labels": [],
    "modificationTimestamp": "2022-10-09T20:58:16.305662Z",
    "modifiedBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  },
  "name": "AutoSupport HTTPS Transport Disabled",
  "origin": "HARVEST",
  "originId": "333a3f38-a4fa-4e32-a371-a37027748a32",
  "owner": "John.Doe@akme.com",
  "raisedOn": "2022-10-05T20:58:16.305662Z",
  "remediation": {
    "redirectURL": "https://www.xyz.com",
    "text": "To set HTTPS as the transport protocol for AutoSupport messages, run the following ONTAP command: system node autosupport modify -transport https"
  },
  "severity": "CRITICAL",
  "status": "CLOSED",
  "statusHistory": [
    {
      "newStatus": "CLOSED",
      "oldStatus": "ACTIVE",
      "timestamp": "2022-10-09T20:58:16.305662Z"
    }
  ],
  "tag": {
    "metric_name": "volume_size_used_percent",
    "metric_threshold": "90",
    "metric_unit": "%"
  },
  "type": "application/vnd.netapp.bxp.alert",
  "version": "1.0"
}

Error

Status: 400, Bad request
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The supplied query parameters are invalid.",
  "status": "400",
  "title": "Invalid query parameters",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 401, Unauthorized
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The request is missing the required bearer token.",
  "status": "401",
  "title": "Missing bearer token",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 403, Forbidden
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The requested operation isn't permitted.",
  "status": "403",
  "title": "Operation not permitted",
  "type": "https://bluexp.netapp.io/problems/11"
}

Error

Status: 404, Not found
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404",
  "title": "Collection not found",
  "type": "https://bluexp.netapp.io/problems/2"
}

Definitions

See Definitions

associatedObjects

Name Type Required Description

objectId

string

False

Unique identifier of the resource for which this alert is raised.

objectName

string

False

The name of the object that is associated with the object on which the alert is raised.

objectType

string

False

Type of the object on which the alert is raised. Defined values are:

  • CLUSTER

  • NODE

  • AGGREGATE

  • SVM

  • VOLUME

  • LUN

  • DISK

  • QTREE

  • NVME_NAMESPACE

  • SNAPMIRROR

  • CIFS_SHARE

  • NFS_SHARE

  • CONNECTOR

  • CONNECTOR_CONTAINER

  • MSSQL_HOST

  • ORACLE_HOST

accept-post

Provides details about which media types are accepted when creating a resource.

accept-put

Indicates details about what media types are accepted when updating a resource.

hints

Name Type Required Description

accept-post

accept-post

False

Provides details about which media types are accepted when creating a resource.

accept-put

accept-put

False

Indicates details about what media types are accepted when updating a resource.

allow

array[string]

False

An array of methods that can be used to interact with the link target.

Defined values for collections:

"POST" - Indicates if new resources can be created in the collection. Defined values for resources:

"PUT" - Indicates if the resource can be modified "DELETE" - Indicates if the resource can be deleted

permissions

array[string]

False

List of the permissions required to use the link.

status

string

False

Indicates if the target of the link is deprecated.

Defined values are:

"deprecated"

targetSchema

Link to a JSON schema that can be used to validate the target of the link (response body).

The preferred format is a $ref link to an external schema.

This field is optional and should only be included when there is a known schema for the target of the href.

Link relationship

Name Type Required Description

hints

hints

False

href

string

True

String describing a relative URI.

rel

string

True

The type of relationship for the link. Values are defined in the IANA Link Relationships registry, or an extension relationship type as specified in section 2.1.2 of RFC 8288.

targetSchema

targetSchema

False

Link to a JSON schema that can be used to validate the target of the link (response body).

The preferred format is a $ref link to an external schema.

This field is optional and should only be included when there is a known schema for the target of the href.

title

string

False

Label of a link such that it can be used as a human-readable identifier (e.g., a menu entry).

Minimum length: 0 Maximum length: 1023

type

string

False

The media type of the target of the href.

This field is optional and should be included when there is a known media type for the target of the href.

type_bxp_label

Name/value pair.

Name Type Required Description

name

string

True

Name of the label.

value

string

True

Value of the label.

type_bxp_metadata

Metadata associated with the resource.

Name Type Required Description

createdBy

string

False

UUID of the user who created the resource.

creationTimestamp

string

False

Resource creation date.

labels

array[type_bxp_label]

False

Array of name/value pairs representing additional information for the resource.

modificationTimestamp

string

False

Resource modification date.

modifiedBy

string

False

UUID of the user who modified the resource.

remediation

JSON object containing text that describes corrective actions about how to fix the issue and an optional URL to navigate to the remedial workflow.

Name Type Required Description

redirectURL

string

False

URL that can be invoked to initiate the remediation.

text

string

False

  • example: To set HTTPS as the transport protocol for AutoSupport messages, run the following ONTAP command: system node autosupport modify -transport https

statusHistory

Name Type Required Description

newStatus

string

False

JSON string representing the old status of this alert. It can be:

  • CLOSED

oldStatus

string

False

JSON string representing the old status of this alert. It can be:

  • ACTIVE

timestamp

string

False

Status change date

tag

Key-value pairs providing additional context about the alert, such as metric name, threshold value, and unit.

invalidParams

Name Type Required Description

name

string

True

Name of the invalid parameter.

reason

string

True

Reason why the parameter is invalid.